<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가

include_once(G5_PATH.'/head.sub.php');
include_once(G5_LIB_PATH.'/latest.lib.php');
include_once(G5_LIB_PATH.'/outlogin.lib.php');
include_once(G5_LIB_PATH.'/poll.lib.php');
include_once(G5_LIB_PATH.'/visit.lib.php');
include_once(G5_LIB_PATH.'/connect.lib.php');
include_once(G5_LIB_PATH.'/popular.lib.php');

if (G5_IS_MOBILE) {
    include_once(G5_MOBILE_PATH.'/head.php');
    return;
}
/*
// 상단 파일 경로 지정 : 이 코드는 가능한 삭제하지 마십시오.
if ($config['cf_include_head']) {
    if (!@include_once($config['cf_include_head'])) {
        die('기본환경 설정에서 상단 파일 경로가 잘못 설정되어 있습니다.');
    }
    return; // 이 코드의 아래는 실행을 하지 않습니다.
}
*/
?>
<?php
/* 재구성 http://www.codingsa.kr */
//코딩사에서 사용하는 경로및 기타설정 start
$codingsa_path = "builder/codingsa";
define("CODINGSA_PATH","".G5_URL."/".$codingsa_path."");
define("CODINGSA_PATH_IMG","".CODINGSA_PATH."/images");
define("CODINGSA_PATH_CSS","".CODINGSA_PATH."/css");
define("CODINGSA_PATH_JS","".CODINGSA_PATH."/js");
echo "<link rel='stylesheet' href='".CODINGSA_PATH_CSS."/default.css'>";
//아래 3라인은 메인화면 공지팝업창 관련 스크립트(실행함수는 popup.php에 코딩되어 있음)
echo "<script src='".CODINGSA_PATH_JS."/jquery-ui.js'></script>".PHP_EOL;
echo "<script src='".CODINGSA_PATH_JS."/jquery-cookie.js'></script>".PHP_EOL;
echo "<script src='".CODINGSA_PATH_JS."/jquery-popup.js'></script>".PHP_EOL;
//fancybox 관련
echo "<script src='".CODINGSA_PATH_JS."/fancybox/jquery.mousewheel-3.0.4.pack.js'></script>".PHP_EOL;
echo "<script src='".CODINGSA_PATH_JS."/fancybox/jquery.fancybox-1.3.4.pack.js'></script>".PHP_EOL;
echo "<link rel='stylesheet' href='".CODINGSA_PATH_JS."/fancybox/jquery.fancybox-1.3.4.css' media='screen'>".PHP_EOL;
//팝업 로그인관련
echo "<script src='".CODINGSA_PATH_JS."/login_popup.js'></script>".PHP_EOL;
echo "<script>var codingsa_outlogin_action_url='".G5_HTTPS_BBS_URL.'/login_check.php'."';var codingsa_outlogin_url='".login_url()."';var codingsa_G5_BBS_URL='".G5_BBS_URL."';var CODINGSA_PATH_IMG='".CODINGSA_PATH_IMG."';func_codingsa_login(460,290);</script>".PHP_EOL;
//코딩사에서 사용하는 경로및 기타설정 end
?>
<div id="codingsa_skipTop">
	<a href="#container" title="본문바로가기로이동">본문 바로가기</a>
</div>
<? if ($is_admin) { ?>
<div id="codingsa_admin">	
	<a href="<?php echo G5_ADMIN_URL;?>" title="홈페이지관리로이동">
		<img src="<?php echo CODINGSA_PATH_IMG;?>/tnb_admin.jpg" alt="홈페이지관리">
		홈페이지관리
	</a>	
</div>
<? } ?>
<div id="codingsa_wrapper">
<!-- 공통 헤드 디자인 start -->
<header id="codingsa_header">	
    <div id="codingsa_header_wrapper">
		<h1 id="logo">
            <a href="<?php echo G5_URL ?>" title="처음으로 이동합니다"><img src="<?php echo CODINGSA_PATH_IMG;?>/logo.png" alt="<?php echo $config['cf_title'];?>"></a>
        </h1>		
		<nav id="codingsa_topmenu">		
			<h1 class="hiddenTitle">홈페이지 메인메뉴</h1>			
			<?php include_once("menu/top/type_img_horizontal/menu.html");?>
			<?php //include_once("menu/top/type_img_vertical/menu.html");?>
			<?php //include_once("menu/top/type_text_horizontal/menu.html");?>
			<?php //include_once("menu/top/type_text_vertical/menu.html");?>
		</nav>
		<section id="codingsa_login">
			<h1 class="hiddenTitle">로그인</h1>
			<a href="<?php echo G5_URL ?>" title="처음으로"><img src="<?php echo CODINGSA_PATH_IMG;?>/btn_home.jpg" alt="처음으로"></a>
			<? if ($is_member) { ?>
			<a href="<?php echo G5_BBS_URL;?>/logout.php" title="로그아웃"><img src="<?php echo  CODINGSA_PATH_IMG;?>/btn_logout.jpg" alt="로그아웃"></a>
			<a href="<?php echo G5_BBS_URL;?>/member_confirm.php?url=<?php echo G5_BBS_URL;?>/register_form.php" title="정보수정"><img src="<?php echo  CODINGSA_PATH_IMG;?>/btn_modify.jpg" alt="정보수정"></a>
			<? }else { ?>
			<a href="#" title="로그인" id="codingsa_login_button"><img src="<?php echo CODINGSA_PATH_IMG;?>/btn_login.jpg" alt="로그인"></a>
			<a href="<?php echo G5_BBS_URL;?>/register.php" title="회원가입"><img src="<?php echo  CODINGSA_PATH_IMG;?>/btn_join.jpg" alt="회원가입"></a>
			<? } ?>
		</section>
		<section id="codingsa_search">
			<h1 class="hiddenTitle">전체검색</h1>
			<fieldset id="codingsa_search_fieldset">
				<legend>전체검색</legend>
				<form name="fsearchbox" method="get" action="<?php echo G5_BBS_URL;?>/search.php" onsubmit="return fsearchbox_submit(this);" id="codingsa_search_form">
				<input type="hidden" name="sfl" value="wr_subject||wr_content">
				<input type="hidden" name="sop" value="and">
				<input type="text" id="codingsa_search_stx" name="stx" title="검색어" maxlength="20"><input type="image" id="codingsa_search_submit" src="<?php echo CODINGSA_PATH_IMG;?>/btn_search.png" alt="검색">
				</form>
				<script>
				function fsearchbox_submit(f)
				{
					if (f.stx.value.length < 2) {
						alert("검색어는 두글자 이상 입력하십시오.");
						f.stx.select();
						f.stx.focus();
						return false;
					}

					// 검색에 많은 부하가 걸리는 경우 이 주석을 제거하세요.
					var cnt = 0;
					for (var i=0; i<f.stx.value.length; i++) {
						if (f.stx.value.charAt(i) == ' ')
							cnt++;
					}

					if (cnt > 1) {
						alert("빠른 검색을 위하여 검색어에 공백은 한개만 입력할 수 있습니다.");
						f.stx.select();
						f.stx.focus();
						return false;
					}

					return true;
				}
				</script>
			</fieldset>
		</section>
    </div>	
</header>
<!-- 공통 헤드 디자인 end -->
